Skip to main content
POST/events/

Create event

You can create an event.

Attributes

Optional unless marked required

user_idintegerrequired
A unique identifier for the user which is given by User automatically. Previously: "client".
dataJSON
A valid json object with additional data.
namestringrequired
An event name.
timestampdatetime
A datetime when an event occured in UNIX format.

Request​

curl -X POST "https://<your_app_subdomain>.user.com/api/public/events/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2" \
-H "Content-Type: application/json" \
-d '{
"user_id": 1892,
"name": "plan_upgraded",
"timestamp": 1794295277,
"data": {
"plan": "pro",
"seats": 10,
"source": "api"
}
}'

Response examples​

{
"id": 86,
"created": true
}

'created: true' means that this is first occurrence for created event
'created: false' means that there is at least one occurence for this event in database

Response fields​

Fields returned in the 200 OK response body.

idinteger
A unique identifier for the event which is given by User automatically.
createdboolean
true if the event was recorded.
note

Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.